import { Inter } from "next/font/google";
import "./globals.css";
import { cn } from "@/lib/utils";
import ReactQueryProviders from "@/providers/react-query.providers";
import StoreReduxProviders from "@/providers/redux-toolkit.providers";
import ThemeProvider from "@/providers/next-theme.providers";

const inter = Inter({
  subsets: ["latin"],
  variable: "--font-sans",
});

export const metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en" suppressHydrationWarning>
      <body
        className={cn(
          "min-h-screen bg-background font-sans antialiased",
          inter.variable
        )}
      >
        <ThemeProvider attribute="class" defaultTheme="system" enableSystem>
          <StoreReduxProviders>
            <ReactQueryProviders>{children}</ReactQueryProviders>
          </StoreReduxProviders>
        </ThemeProvider>
      </body>
    </html>
  );
}
